com.google.appengine.api.oauth

## Interface OAuthService

-     public interface OAuthService

  The OAuthService provides methods useful for validating OAuth requests.
  See Also:
    RFC 5849 for the OAuth specification.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getAuthorizedScopes(java.lang.String... scopes)` Return authorized scopes from input scopes.
    `java.lang.String` | `getClientId(java.lang.String... scopes)` Returns the client_id from oauth2 request.
    `java.lang.String` | `getClientId(java.lang.String scope)` Returns the client_id from oauth2 request.
    `User` | `getCurrentUser()` Returns the `User` on whose behalf the request was made.
    `User` | `getCurrentUser(java.lang.String... scopes)` Returns the `User` on whose behalf the request was made.
    `User` | `getCurrentUser(java.lang.String scope)` Returns the `User` on whose behalf the request was made.
    `java.lang.String` | `getOAuthConsumerKey()` Deprecated. OAuth1 is no longer supported
    `boolean` | `isUserAdmin()` Returns true if the user on whose behalf the request was made is an admin for this application, false otherwise.
    `boolean` | `isUserAdmin(java.lang.String... scopes)` Returns true if the user on whose behalf the request was made is an admin for this application, false otherwise.
    `boolean` | `isUserAdmin(java.lang.String scope)` Returns true if the user on whose behalf the request was made is an admin for this application, false otherwise.

- - ### Method Detail

    - #### getCurrentUser

          User getCurrentUser()
                       throws OAuthRequestException

      Returns the `User` on whose behalf the request was made.
      Throws:
        `OAuthRequestException` - If the request was not a valid OAuth request.
        `OAuthServiceFailureException` - If an unknown OAuth error occurred.

    - #### getCurrentUser

          User getCurrentUser(java.lang.String scope)
                       throws OAuthRequestException

      Returns the `User` on whose behalf the request was made.
      Parameters:
        `scope` - The custom OAuth scope that is accepted.
      Throws:
        `OAuthRequestException` - If the request was not a valid OAuth request.
        `OAuthServiceFailureException` - If an unknown OAuth error occurred.

    - #### getCurrentUser

          User getCurrentUser(java.lang.String... scopes)
                       throws OAuthRequestException

      Returns the `User` on whose behalf the request was made.
      Parameters:
        `scopes` - The custom OAuth scopes at least one of which is accepted.
      Throws:
        `OAuthRequestException` - If the request was not a valid OAuth request.
        `OAuthServiceFailureException` - If an unknown OAuth error occurred.

    - #### isUserAdmin

          boolean isUserAdmin()
                       throws OAuthRequestException

      Returns true if the user on whose behalf the request was made is an admin for this application, false otherwise.
      Throws:
        `OAuthRequestException` - If the request was not a valid OAuth request.
        `OAuthServiceFailureException` - If an unknown OAuth error occurred.

    - #### isUserAdmin

          boolean isUserAdmin(java.lang.String scope)
                       throws OAuthRequestException

      Returns true if the user on whose behalf the request was made is an admin for this application, false otherwise.
      Parameters:
        `scope` - The custom OAuth scope that is accepted.
      Throws:
        `OAuthRequestException` - If the request was not a valid OAuth request.
        `OAuthServiceFailureException` - If an unknown OAuth error occurred.
      Since:
        App Engine 1.7.3.

    - #### isUserAdmin

          boolean isUserAdmin(java.lang.String... scopes)
                       throws OAuthRequestException

      Returns true if the user on whose behalf the request was made is an admin for this application, false otherwise.
      Parameters:
        `scopes` - The custom OAuth scopes at least one of which is accepted.
      Throws:
        `OAuthRequestException` - If the request was not a valid OAuth request.
        `OAuthServiceFailureException` - If an unknown OAuth error occurred.

    - #### getOAuthConsumerKey

          @Deprecated
          java.lang.String getOAuthConsumerKey()
                                                    throws OAuthRequestException

      Deprecated. OAuth1 is no longer supported
      Throws OAuthRequestException
      Throws:
        `OAuthRequestException`

    - #### getClientId

          java.lang.String getClientId(java.lang.String scope)
                                throws OAuthRequestException

      Returns the client_id from oauth2 request.
      Throws:
        `OAuthRequestException` - If the request was not a valid OAuth2 request.
        `OAuthServiceFailureException` - If an unknown OAuth error occurred.

    - #### getClientId

          java.lang.String getClientId(java.lang.String... scopes)
                                throws OAuthRequestException

      Returns the client_id from oauth2 request.
      Parameters:
        `scopes` - The custom OAuth scopes at least one of which is accepted.
      Throws:
        `OAuthRequestException` - If the request was not a valid OAuth2 request.
        `OAuthServiceFailureException` - If an unknown OAuth error occurred.

    - #### getAuthorizedScopes

          java.lang.String[] getAuthorizedScopes(java.lang.String... scopes)
                                          throws OAuthRequestException

      Return authorized scopes from input scopes.
      Parameters:
        `scopes` - The custom OAuth scopes at least one of which is accepted.
      Throws:
        `OAuthRequestException` - If the request was not a valid OAuth2 request.
        `OAuthServiceFailureException` - If an unknown OAuth error occurred.